Page MenuHomeFreeBSD

dns/c-ares: Update 1.15.0_1 -> 1.16.1
ClosedPublic

Authored by bhughes on May 4 2020, 7:57 PM.

Details

Summary

Update to the latest upstream release. While here, remove obsd.isc.org from MASTER_SITES, since it does not resolve.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

MASTER_SITES needs updating, perhaps it's also worth considering migrating to CMake as that's what upstream uses for CI and fix make test.
It also seems like it incorrectly overrides default CFLAGS -g0 -Os (optimization enabled), -g0 -O0 if disabled (which is fine I guess).

dns/c-ares: Update 1.15.0_1 -> 1.16.1

Why does MASTER_SITES need updating? To what?

Also, I don't see anything in the port that changes CFLAGS?

Hi, sorry for being vague

http://obsd.isc.org/pub/OpenBSD/distfiles/ doesn't resolve and ZI's sites doesn't carry it.

During compilation I see the following: (without OPTIMIZED CFLAGS enabled), -Os enabled
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/dads-cflags.html

libtool: compile:  cc -DHAVE_CONFIG_H -I. -I. -DCARES_BUILDING_LIBRARY -DCARES_SYMBOL_HIDING -fvisibility=hidden -pipe -mcpu=cortex-a53 -fno-strict-aliasing -Qunused-arguments -g0 -O0 -MT libcares_la-ares__read_line.lo -MD -MP -MF .deps/libcares_la-ares__read_line.Tpo -c ares__read_line.c -o libcares_la-ares__read_line.o >/dev/null 2>&1

From what I can tell this comes from
L19735 and line 19736 in ./configure

Also, converting to CMake would be a bad idea as it would introduce circular depdencies sorry for not realizing that earlier.

Removed obsd.isc.org from MASTER_SITES

bhughes retitled this revision from dns/c-ares: Update 1.15.0_1 -> 1.16.0 to dns/c-ares: Update 1.15.0_1 -> 1.16.1.Jun 11 2020, 4:59 AM
bhughes edited the summary of this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Jun 19 2020, 4:56 AM
This revision was automatically updated to reflect the committed changes.